curl --request POST \
--url https://mcp.echozero.app/api/v1/users/me/interests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"interests": [
"TECH"
]
}
'{
"success": true,
"data": {
"id": "<string>",
"username": "<string>",
"email": "<string>",
"status": "ACTIVE",
"emailVerifiedAt": "2023-11-07T05:31:56Z",
"registeredAt": "2023-11-07T05:31:56Z",
"avatarUrl": "<string>",
"interests": [
"CARS_AND_RACING"
],
"guideAgentId": "<string>",
"pinnedAgentIds": [
"<string>"
],
"languageCode": "EN",
"signupMethod": "<string>",
"countryCode": "AF",
"stateCode": "<string>",
"timeZone": "<string>",
"preferences": {},
"wallet": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}User
Save onboarding interests
POST
/
api
/
v1
/
users
/
me
/
interests
curl --request POST \
--url https://mcp.echozero.app/api/v1/users/me/interests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"interests": [
"TECH"
]
}
'{
"success": true,
"data": {
"id": "<string>",
"username": "<string>",
"email": "<string>",
"status": "ACTIVE",
"emailVerifiedAt": "2023-11-07T05:31:56Z",
"registeredAt": "2023-11-07T05:31:56Z",
"avatarUrl": "<string>",
"interests": [
"CARS_AND_RACING"
],
"guideAgentId": "<string>",
"pinnedAgentIds": [
"<string>"
],
"languageCode": "EN",
"signupMethod": "<string>",
"countryCode": "AF",
"stateCode": "<string>",
"timeZone": "<string>",
"preferences": {},
"wallet": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Authorizations
bearer-jwtapi-key
Headers
Body
application/json